#include "GraphicsClass.h"


GraphicsClass::GraphicsClass(void)
	{
	m_D3D = 0;
	}

GraphicsClass::GraphicsClass(const GraphicsClass&)
	{

	}
GraphicsClass::~GraphicsClass(void)
	{
	}

bool GraphicsClass:: Initialize(int screenWidth, int screenHeight, HWND hwnd)
	{
	bool result;


	// һD3DClass.
	m_D3D = new D3DClass;
	if(!m_D3D)
		{
		return false;
		}

	// D3DClassʼ
	result = m_D3D->Initialize(screenWidth, screenHeight, VSYNC_ENABLED, hwnd, FULL_SCREEN, SCREEN_DEPTH, SCREEN_NEAR);
	if(!result)
		{
		MessageBox(hwnd, L"Could not initialize Direct3D", L"Error", MB_OK);
		return false;
		}

	return true;
	}

void GraphicsClass::Shutdown()
	{

	//m_D3D
	if(m_D3D)
		{
		m_D3D->Shutdown();
		delete m_D3D;
		m_D3D = 0;
		}

	return;
	}


bool GraphicsClass::Frame()
	{
	bool result;


	// RenderȾ3D
	// RenderGraphicsClass˽к.
	result = Render();
	if(!result)
		{
		return false;
		}

	return true;
	}


bool GraphicsClass::Render()
	{
	// framebuffer.Ϊǳɫ
	m_D3D->BeginScene(0.0f, 0.0f, 0.5f, 1.0f);


	//framebufferеͼpresentĻ.
	m_D3D->EndScene();

	return true;
	}