#pragma once

#include <windows.h>
#include "d3dclass.h"

/////////////
// GLOBALS //
/////////////
const bool FULL_SCREEN = false;//Ƿȫ
const bool VSYNC_ENABLED = true;//Ƿֱͬ
const float SCREEN_DEPTH = 1000.0f;//ȣԶ
const float SCREEN_NEAR = 0.1f;//ȣ

class GraphicsClass
	{
	public:
		GraphicsClass(void);
		GraphicsClass(const GraphicsClass&);
		~GraphicsClass(void);
		bool Initialize(int, int, HWND);
		void Shutdown();
		bool Frame();

	private:
		bool Render();

		//һD3DClassԱ
		D3DClass* m_D3D;

	};

