#pragma once
//úܹwindowsͷļĴСʹһЩҪļӿʱ
#define WIN32_LEAN_AND_MEAN

#include <windows.h>

#include "InputClass.h"
#include "GraphicsClass.h"

class SystemClass
	{
	public:
		SystemClass(void);
		SystemClass(const SystemClass &);
		~SystemClass(void);

		bool Initialize();
		void Shutdown();
		void Run();

		LRESULT CALLBACK MessageHandler(HWND, UINT, WPARAM, LPARAM);
	private:
		bool Frame();
		void InitializeWindows(int&, int&);
		void ShutdownWindows();

		LPCWSTR m_applicationName;
		HINSTANCE m_hinstance;
		HWND m_hwnd;

		//InputClassGraphicsClassSystemClassԱ
		InputClass* m_Input;
		GraphicsClass* m_Graphics;
	};

//徲̬ĻصԼӦó
//Ϊ崰ʱ򣬱ָڻصþ̬ĻصWndProc
static LRESULT CALLBACK WndProc(HWND, UINT, WPARAM, LPARAM);

static SystemClass* ApplicationHandle = 0;